# SearchKit Maps Display

Implements a SearchKit display to put markers on a map using [leaflet.js](https://leafletjs.com/).

The extension is licensed under [AGPL-3.0](LICENSE.txt).

![mapdisplay screenshot](docs/images/mapdisplay.png)

## Installation

Learn more about installing CiviCRM extensions in the [CiviCRM Sysadmin Guide](https://docs.civicrm.org/sysadmin/en/latest/customize/extensions/).

## Configuration

1. Create a new Search which contains Latitude/Longitude information (eg. Contacts with Addresses).
2. Add a display of type "Map".

The "Popup" accepts HTML and can be populated from another field in the search display. By using rewrite and icons you can create rich content.

![mapdisplay_config_screenshot](docs/images/mapdisplayconfig.png)

## Roadmap

[LeafletJS](https://leafletjs.com/) supports many features, multiple mapping providers, polygons etc.

It would be simple to add support for additional mapping providers (probably via a dropdown selector in the display configuration).

If your CiviCRM database has coordinates to map out polygons (eg. voter districts) then it could be extended to display those.

